Skip to main content
PUT
Update a coupon

Authorizations

X-API-Key
string
header
required

Company API key. Send in the X-API-Key header.

Headers

x-client-id
string
required

Client identifier for the company in the request.

Example:

"client_abc123"

Path Parameters

uuid
string<uuid>
required

Body

application/json
name
string | null
Example:

"Updated Summer Sale"

description
string | null
Example:

"Updated description."

max_redemptions
integer | null

New redemption cap. Null removes the limit.

Example:

200

max_cycles
integer | null

New per-subscription cycle cap. Null removes the limit.

Example:

6

valid_until
string<date> | null

New expiry date. Null removes the expiry.

Example:

"2026-12-31"

is_active
boolean | null

Set to false to deactivate and prevent new applications.

Example:

false

Response

Coupon updated

data
object